player_init_param_t Struct Reference

Parameters for player_init() . More...

`#include <player.h>`

## Data Fields

player_ao_t | ao
player_vo_t | vo
uint32_t | winid
int(* | event_cb )(player_event_t e, void *data)
void * | data
const char * | display
player_quality_level_t | quality

## Detailed Description

Parameters for player_init() .

Definition at line 173 of file player.h.

## Field Documentation

player_ao_t player_init_param_t::ao

Audio output driver.

Definition at line 175 of file player.h.

void* player_init_param_t::data

User data for event callback.

Definition at line 184 of file player.h.

const char* player_init_param_t::display

Display to use with X11 video outputs.

The string has to follow the same rules that the DISPLAY environment variable. If `display` is NULL, then the environment variable is considered.

Definition at line 193 of file player.h.

int(* player_init_param_t::event_cb)(player_event_t e, void *data)

Public event callback.

Definition at line 182 of file player.h.

player_quality_level_t player_init_param_t::quality

Picture decoding quality.

Definition at line 196 of file player.h.

player_vo_t player_init_param_t::vo

Video output driver.

Definition at line 177 of file player.h.

uint32_t player_init_param_t::winid

Window ID to attach the video (X Window).

Definition at line 179 of file player.h.

The documentation for this struct was generated from the following file:

- player.h